package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MemberPoint;


/**
*  service接口类
*/
public interface MemberPointService{

    List<MemberPoint> getMemberPointList(MemberPoint record);

    List<MemberPoint> getMemberPointByPage(Page page, MemberPoint record);

    MemberPoint getMemberPointById(String id);

    MemberPoint getMemberPoint(MemberPoint record);

    boolean createMemberPoint(MemberPoint record);

    boolean deleteMemberPoint(String id);

    boolean updateMemberPoint(MemberPoint record);
}

